// Problem : Vector
// Checker : Igor V. Burago

#include "check.h"
#include <vector>

using namespace std;
using namespace Check;

int size;
int low;
int high;
vector<int> nums;

void handleZeroes(int &pos, const int zeroCount)
{
  int count = 0;
  while (pos < size && nums[pos] == 0)
  {
    ++count;
    ++pos;
  }
  if (count < zeroCount)
    quit(WrongAnswer, "Too many zeroes in a row");
}

int main(int argc, char *argv[])
{
  init(argc, argv);

  int outputSize;
  int answerSize;
  vector<int> outputNums;

  output >> outputSize;
  answer >> answerSize;
  if (outputSize != answerSize)
    exit(
      WrongAnswer, "Wrong size of vector: %d instead of %d",
      outputSize, answerSize);

  if (outputSize > 0)
  {
    input >> size >> low >> high;

    outputNums.resize(outputSize);
    for (int index = 0; index < outputSize; ++index)
    {
      output >> outputNums[index];
      if (high < outputNums[index] || outputNums[index] < low)
        exit(WrongAnswer, "Element %d exceeds constraints", index + 1);
    }

    nums.resize(size);
    for (int index = 0; index < size; ++index)
      input >> nums[index];

    int pos = 0;
    int zeroCount = 0;
    for (int index = 0; index < outputSize; ++index)
    {
      if (outputNums[index] == 0)
      {
        ++zeroCount;
        continue;
      }
      else
      {
        handleZeroes(pos, zeroCount);
        zeroCount = 0;
      }
      if (pos >= size)
        exit(WrongAnswer, "Element %d is too large", index); // Previous element

      int sum = 0;
      while (sum < outputNums[index] && pos < size)
      {
        sum += nums[pos];
        ++pos;
      }
      if (sum != outputNums[index])
        exit(WrongAnswer, "Wrong element near position %d", index + 1);
    }
    handleZeroes(pos, zeroCount);
    if (pos < size)
      quit(WrongAnswer, "Sum of elements is too small");
  }

  quit(SolutionAccepted);

  return 0;
}
