// Problem  : Vector
// Solution : Igor V. Burago

#include <fstream>
#include <iterator>
#include <algorithm>
#include <vector>
#include <cassert>

using namespace std;

ifstream cin("input.txt");
ofstream cout("output.txt");

int Size;
int Low;
int High;
vector<int> Nums;
vector<int> Ans;
vector<int> From;

void Solution(const int Right)
{
  int Sum = 0;
  for (int Index = Right; Index > From[Right]; --Index)
    Sum += Nums[Index];

  if (From[Right] >= 0)
    Solution(From[Right]);

  cout << Sum << ' ';
}

int main()
{
  cin >> Size >> Low >> High;
  assert(1 <= Size && Size <= 1000);
  copy(istream_iterator<int>(cin), istream_iterator<int>(), back_inserter(Nums));
  assert(Size == (int) Nums.size());

  for (int Index = 0; Index < Size; ++Index)
  {
    assert(0 <= Nums[Index] && Nums[Index] <= 1000000);
    if (High < Nums[Index])
    {
      cout << '0';
      return 0;
    }
  }
  if (High < Low)
  {
    cout << '0';
    return 0;
  }

  Ans.resize(Size);
  From.resize(Size);

  int Left, Right, Sum;
  int Best, Curr, Pos;

  for (Right = 0; Right < Size; ++Right)
  {
    Sum = 0;
    Best = -1;
    Pos = -1;
    for (Left = Right; Left >= 0; --Left)
    {
      Sum += Nums[Left];
      if (Sum > High)
        break;
      if (Sum >= Low)
      {
        Curr = (Left > 0 ? Ans[Left - 1] : 0) + 1;
        if (Curr >= 1 && Best < Curr)
        {
          Best = Curr;
          Pos = Left - 1;
        }
      }
    }
    Ans[Right] = Best;
    From[Right] = Pos;
  }

  if (Ans[Size - 1] > 0)
  {
    cout << Ans[Size - 1] << endl;
    Solution(Size - 1);
  }
  else
    cout << '0';

  return 0;
}
