// Problem  : Vector
// Solution : Igor V. Burago

#include <fstream>
#include <iterator>
#include <algorithm>
#include <vector>
#include <queue>
#include <cassert>

using namespace std;

ifstream cin("input.txt");
ofstream cout("output.txt");

int Size;
int Low;
int High;
vector<int> Nums;

struct TState
{
  int Index;
  int Length;
  int Sum;

  TState(const int Index, const int Length, const int Sum)
  : Index(Index), Length(Length), Sum(Sum)
  { /* Do Nothing */ }
};
queue<TState> States;

bool Solution(const int Index, const int Length, const int Sum)
{
  if (Index == 0)
  {
    cout << Sum << ' ';
    return true;
  }

  if (
    Sum >= Low && Index > 0 && Length > 0 &&
    Solution(Index - 1, Length - 1, Nums[Index - 1]))
  {
    cout << Sum << ' ';
    return true;
  }
  if (
    Index > 0 && Sum + Nums[Index - 1] <= High &&
    Solution(Index - 1, Length, Sum + Nums[Index - 1]))
      return true;

  return false;
}

int main()
{
  cin >> Size >> Low >> High;
  assert(1 <= Size && Size <= 1000);
  copy(istream_iterator<int>(cin), istream_iterator<int>(), back_inserter(Nums));
  assert(Size == (int) Nums.size());

  for (int Index = 0; Index < Size; ++Index)
  {
    assert(0 <= Nums[Index] && Nums[Index] <= 1000000);
    if (High < Nums[Index])
    {
      cout << '0';
      return 0;
    }
  }
  if (High < Low)
  {
    cout << '0';
    return 0;
  }

  int Answer = -1;
  States.push(TState(0, 0, Nums[0]));
  while (!States.empty())
  {
    const TState &Current = States.front();
    States.pop();
    if (
      Current.Index == Size - 1 &&
      Current.Sum >= Low &&
      Current.Sum <= High &&
      Answer < Current.Length)
      Answer = Current.Length;

    if (
      Current.Sum >= Low &&
      Current.Index < Size - 1 &&
      Current.Length < Size - 1)
      States.push(
        TState(Current.Index + 1, Current.Length + 1, Nums[Current.Index + 1]));
    if (
      Current.Index < Size - 1 && Current.Sum + Nums[Current.Index + 1] <= High)
      States.push(
        TState(
          Current.Index + 1,
          Current.Length,
          Current.Sum + Nums[Current.Index + 1]));
  }

  cout << Answer + 1 << endl;
  if (Answer > -1)
    Solution(Size - 1, Answer, Nums[Size - 1]);

  return 0;
}
