// Problem  : Vector
// Solution : Igor V. Burago

#include <fstream>
#include <iterator>
#include <algorithm>
#include <vector>
#include <limits>
#include <cassert>

using namespace std;

ifstream cin("input.txt");
ofstream cout("output.txt");

int Size;
int Low;
int High;
vector<int> Nums;

int main()
{
  cin >> Size >> Low >> High;
  assert(1 <= Size && Size <= 1000);
  copy(istream_iterator<int>(cin), istream_iterator<int>(), back_inserter(Nums));
  assert(Size == (int) Nums.size());

  for (int Index = 0; Index < Size; ++Index)
  {
    assert(0 <= Nums[Index] && Nums[Index] <= 1000000);
    if (High < Nums[Index])
    {
      cout << '0';
      return 0;
    }
  }
  if (High < Low)
  {
    cout << '0';
    return 0;
  }

  while (true)
  {
    int MinSum = numeric_limits<int>::max();
    int MinIndex = -1;
    for (int Index = 0; Index < (int) Nums.size() - 1; ++Index)
      if (
        (Nums[Index] < Low || Nums[Index + 1] < Low) &&
        Nums[Index] + Nums[Index + 1] < MinSum &&
        Nums[Index] + Nums[Index + 1] <= High)
      {
        MinSum = Nums[Index] + Nums[Index + 1];
        MinIndex = Index;
      }

    if (MinIndex != -1)
    {
      Nums[MinIndex] += Nums[MinIndex + 1];
      Nums.erase(Nums.begin() + MinIndex + 1);
    }
    else
      break;
  }

  for (int Index = 0; Index < (int) Nums.size(); ++Index)
    if (Nums[Index] < Low || Nums[Index] > High)
    {
      cout << '0';
      return 0;
    }

  cout << Nums.size() << endl;
  copy(Nums.begin(), Nums.end(), ostream_iterator<int>(cout, " "));

  return 0;
}
