// Problem  : Vector
// Solution : Igor V. Burago

#include <fstream>
#include <iterator>
#include <algorithm>
#include <vector>
#include <cassert>

using namespace std;

ifstream cin("input.txt");
ofstream cout("output.txt");

int Size;
int Low;
int High;
vector<int> Nums;
vector<int> Result;

int main()
{
  cin >> Size >> Low >> High;
  assert(1 <= Size && Size <= 1000);
  copy(istream_iterator<int>(cin), istream_iterator<int>(), back_inserter(Nums));
  assert(Size == (int) Nums.size());

  for (int Index = 0; Index < Size; ++Index)
  {
    assert(0 <= Nums[Index] && Nums[Index] <= 1000000);
    if (High < Nums[Index])
    {
      cout << '0';
      return 0;
    }
  }
  if (High < Low)
  {
    cout << '0';
    return 0;
  }

  Result.reserve(Size);
  Result.push_back(0);
  for (int Index = 0; Index < Size; ++Index)
    if (Result.back() < Low && Result.back() + Nums[Index] <= High)
      Result.back() += Nums[Index];
    else
      Result.push_back(Nums[Index]);
  if (!Result.empty() && Result.back() < Low)
  {
    int Tmp = Result.back();
    Result.erase(Result.end() - 1);
    if (!Result.empty())
      Result.back() += Tmp;
  }

  bool Ok = true;
  for (int Index = 0; Index < (int) Result.size(); ++Index)
    if (High < Result[Index] || Result[Index] < Low)
    {
      Ok = false;
      break;
    }
  if (!Ok)
    Result.clear();

  cout << Result.size() << endl;
  copy(Result.begin(), Result.end(), ostream_iterator<int>(cout, " "));

  return 0;
}
