// Problem  : Vector
// Solution : Igor V. Burago

#include <fstream>
#include <iterator>
#include <algorithm>
#include <vector>
#include <cassert>

using namespace std;

ifstream cin("input.txt");
ofstream cout("output.txt");

int Size;
int Low;
int High;
vector<int> Nums;
vector<int> Result[2];

void LookTrough(const int Type)
{
  Result[Type].reserve(Size);
  Result[Type].push_back(0);
  if (Type == 0)
  {
    for (int Index = 0; Index < Size; ++Index)
      if (Result[Type].back() < Low && Result[Type].back() + Nums[Index] <= High)
        Result[Type].back() += Nums[Index];
      else
        Result[Type].push_back(Nums[Index]);
  }
  else
  {
    for (int Index = Size - 1; Index >= 0; --Index)
      if (Result[Type].back() < Low && Result[Type].back() + Nums[Index] <= High)
        Result[Type].back() += Nums[Index];
      else
        Result[Type].push_back(Nums[Index]);
  }
  if (!Result[Type].empty() && Result[Type].back() < Low)
  {
    int Tmp = Result[Type].back();
    Result[Type].erase(Result[Type].end() - 1);
    if (!Result[Type].empty())
      Result[Type].back() += Tmp;
  }

  bool Ok = true;
  for (int Index = 0; Index < (int) Result[Type].size(); ++Index)
    if (High < Result[Type][Index] || Result[Type][Index] < Low)
    {
      Ok = false;
      break;
    }
  if (!Ok)
    Result[Type].clear();
}

int main()
{
  cin >> Size >> Low >> High;
  assert(1 <= Size && Size <= 1000);
  copy(istream_iterator<int>(cin), istream_iterator<int>(), back_inserter(Nums));
  assert(Size == (int) Nums.size());

  for (int Index = 0; Index < Size; ++Index)
  {
    assert(0 <= Nums[Index] && Nums[Index] <= 1000000);
    if (High < Nums[Index])
    {
      cout << '0';
      return 0;
    }
  }
  if (High < Low)
  {
    cout << '0';
    return 0;
  }

  LookTrough(0);
  LookTrough(1);

  if (Result[1].size() < Result[0].size())
  {
    cout << Result[0].size() << endl;
    for (int Index = 0; Index < (int) Result[0].size(); ++Index)
      cout << Result[0][Index] << ' ';
  }
  else
  {
    cout << Result[1].size() << endl;
    for (int Index = Result[1].size() - 1; Index >= 0; --Index)
      cout << Result[1][Index] << ' ';
  }

  return 0;
}
